Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::InterpretationRuleRangeRAW Struct Reference

InterpretationRuleRangeRAW is applied after swap, but before masking (because it has it's own mask) More...

Inheritance diagram for peripheral::GatewaySensorManager::InterpretationRuleRangeRAW:

## Public Attributes

long | min
| minimum accepted value
long | max
| maximum accepted value
long | mask
| (0 = not masked, the same as 0xFFFF...)
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRuleInvertable
boolean | invertCondition
| negate rule condition
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRule
Interpretation | interpretation
| how to interpret the applied rule
int | ignoreTimeout
| if > 0, ignoring stops after this timeout (seconds), and state changes to unavailable

## Detailed Description

InterpretationRuleRangeRAW is applied after swap, but before masking (because it has it's own mask)

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl